← Tables

Ireland

Ulster Championship 2

#TeamPWDLPDPtsForm
1Strabane RFC4400–19WWWW
2Carrickfergus RFC4301–15WWWL
3Lisburn RFC4301–13LWWW
4Academy RFC4202–12LLWW
5City Of Derry RFC4202–12WWLL
6C.I.Y.M.S RFC4202–12WWLL
7Randalstown RFC4103–6LLLW
8Larne RFC4103–5LLWL
9Letterkenny RFC4103–5LLLW
10Coleraine RFC4103–4WLLL

Source: Ulster Rugby · checked Oct 14, 05:50 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.